package de.hft.stuttgart.citydoctor2.healer;

import de.hft.stuttgart.citydoctor2.check.HealingMethod;

public class HealingMethodPrototype {
	
	public HealingMethod method;
	
	public static HealingMethodPrototype of(HealingMethod method) {
		return new HealingMethodPrototype(method);
	}
	
	public HealingMethodPrototype(HealingMethod method) {
		this.method = method;
	}

	public HealingMethod createMethod() {
		return method.createNew();
	}

}
